//****************************************************************************
//                    Copyright (C) 1992-1995 EuroSource AB
//
// FILE:         vb2.h
//   
// PURPOSE:      Header file for ROTARY subclass EuroCtrl project
//   
// COMMENTS:     
//   
// HISTORY:      920817AH Prehistory
//   
//****************************************************************************                    


#ifndef RC_INVOKED
//---------------------------------------------------------------------------
// Property list
//---------------------------------------------------------------------------


PPROPINFO proplistRotary_Vb2[] =
{
    PPROPINFO_STD_CTLNAME,
    PPROPINFO_STD_INDEX,
    PPROPINFO_STD_PARENT,
    PPROPINFO_STD_BACKCOLOR,
    PPROPINFO_STD_LEFT,
    PPROPINFO_STD_TOP,
    PPROPINFO_STD_WIDTH,
    PPROPINFO_STD_HEIGHT,
    PPROPINFO_STD_ENABLED,
    PPROPINFO_STD_VISIBLE,
    PPROPINFO_STD_MOUSEPOINTER,
    PPROPINFO_STD_BORDERSTYLEOFF,
    PPROPINFO_STD_FORECOLOR,
    &Property_Rotary_About,            
    &Property_Rotary_Min,
    &Property_Rotary_Max,
    &Property_Rotary_Value,
    &Property_Rotary_Picture,
    &Property_Rotary_Label,
    &Property_Rotary_MarkSize,
    &Property_Rotary_MarkOutlineColor,
    &Property_Rotary_MarkFillColor,
    &Property_Rotary_Radius, 
    &Property_Rotary_MarkStyle,
    &Property_Rotary_hWnd,
    NULL
};     

//---------------------------------------------------------------------------
// Event list
//---------------------------------------------------------------------------

PEVENTINFO eventlistRotary_Vb2[] =
{                                
    &Event_Change_Rotary,
    PEVENTINFO_STD_DRAGDROP,
    PEVENTINFO_STD_DRAGOVER,
    NULL
};

//---------------------------------------------------------------------------
// Model struct
//---------------------------------------------------------------------------

MODEL modelRotary_Vb2 =
{
    VB200_VERSION,                 // VB version being used
    MODEL_fDesInteract | MODEL_fFocusOk,                // MODEL flags
    (PCTLPROC)RotaryCtlProc,    // Control procedure
    CS_VREDRAW | CS_HREDRAW,    // Class style
    NULL,                               // Default Window style
    sizeof(ROTARY),             // cbCtlExtra for ROTARY structure
    IDBMP_ROTARY,               // Palette bitmap ID
    "EsRotary",                         // Default control name
    "EsRotary",                         // Visual Basic class name
    NULL,                       // Parent class name
    proplistRotary_Vb2,         // Properties list
    eventlistRotary_Vb2,        // Events list
	IPROP_ROTARY_VALUE,			// default property in code window : Value
	EVENT_ROTARY_CHANGE,		// default event in code window
};
    
LPMODEL modellistRotary_Vb2[] =
    {
    &modelRotary_Vb2,
    NULL
    };

MODELINFO modelinfoRotary_Vb2 =
    {
    VB200_VERSION, 			// VB version being used
    modellistRotary_Vb2		// MODEL list
    };
    
#endif  // RC_INVOKED



 
